%define prerel 0
%define rel 1
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%if %mdvver >= 201100
%define extrarelsuffix plf
%else
%define distsuffix plf
%endif
%endif
%if %prerel
%define release		%mkrel -c %prerel %rel
%define fname %name-%version-%prerel
%else
%define fname %name-%version
%define release %mkrel %rel
%endif
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%if %mdvver >= 201100
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%endif
%endif
%define audacious %epoch:3.3

%define build_smb 0
%define build_mpris2 1
%if %mdvver <= 201100
%define build_mpris2 0
%endif

Summary:	Audacious Media Player core plugins
Name:		audacious-plugins
Version:	3.3.2
Release:	%release%{?extrarelsuffix}
Epoch:		5
Source0:	http://distfiles.audacious-media-player.org/%fname.tar.bz2
#gw from Fedora, enable gnome keys by default
Patch2: audacious-plugins-3.3-enable-gnomeshortcuts.patch
License:	GPLv2+
Group:		Sound
Url:		http://audacious-media-player.org/
Requires:	audacious >= %audacious
BuildRequires:	pkgconfig(audacious)
BuildRequires:	libalsa-devel >= 1.0.0
BuildRequires:	oggvorbis-devel
BuildRequires:	libglade2.0-devel
#gw crossfade
BuildRequires:	libsamplerate-devel
BuildRequires:	libmodplug-devel
BuildRequires:	pkgconfig(libmms)
BuildRequires:  liblirc-devel
BuildRequires:	gtk+3-devel
%if %build_mpris2
BuildRequires:	glib2-devel >= 2.30
%endif
BuildRequires:  pkgconfig(glut)
BuildRequires:  libxcomposite-devel
BuildRequires:  SDL-devel
BuildRequires:  sndfile-devel
%if %mdvver >= 201100
BuildRequires:  jackit-devel >= 1.9.7
%endif
BuildRequires:  taglib-devel
BuildRequires:  libmad-devel
BuildRequires:  pkgconfig(libmusicbrainz)
BuildRequires:  pkgconfig(libnotify)
#gw currently does not build
#BuildRequires:  bluez-devel >= 2.22
BuildRequires:  libbinio-devel
#gw scrobbler and curl:
BuildRequires:  libcurl-devel >= 7.9.7
BuildRequires:  neon-devel >= 0.26
BuildRequires:  libfluidsynth-devel
BuildRequires:  libwavpack-devel
BuildRequires:  libmtp-devel >= 0.3.0
BuildRequires:  libflac-devel
BuildRequires:  libcddb-devel
BuildRequires:  libcdio-devel
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  libshout-devel
BuildRequires:  libbs2b-devel
%if %mdvver >= 201200
BuildRequires:  pkgconfig(libavcodec) >= 53.40.0
%endif
BuildRequires:  libcue-devel
BuildRequires:  libmpg123-devel
Provides:	beep-media-player-libvisual beep-media-player-lirc audacious-modplug
Obsoletes:	beep-media-player-libvisual beep-media-player-lirc audacious-modplug
%if %build_plf
BuildRequires: liblame-devel
BuildRequires: libfaad2-static-devel
Provides:beep-media-player-mp4 audacious-extra-plugins
Obsoletes:beep-media-player-mp4 audacious-extra-plugins
#gw ffmpeg plugin:
Obsoletes: audacious-musepack
Provides: audacious-musepack
%endif
#gw make sure the broken plugin is removed
Obsoletes: audacious-timidity
#gw 2.0.0 has its own crossfader and the old one does not build anymore
Provides: audacious-crossfade
Obsoletes: audacious-crossfade         

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This contains the basic plugin distribution. Audacious is useless
without them.

%if %build_plf
This package is in PLF as it violates some patents.
%endif

%package  -n audacious-wavpack
Group: Sound
Summary:  Wavpack input plugin for Audacious
Requires:	audacious >= %audacious
Epoch: %epoch

%description  -n audacious-wavpack
This is a wavpack input plugin for Audacious based on libwavpack.

%if %mdvver >= 201100
%package  -n audacious-jack
Group: Sound
Summary:Audacious output plugin for the jack sound server
Epoch: %epoch
Requires:	audacious >= %audacious

%description  -n audacious-jack
Audacious audio output plugin for the jack audio
server(http://jackit.sourceforge.net).
%endif

%package  -n audacious-pulse
Group: Sound
Summary:Audacious output plugin for the Pulseaudio sound server
Epoch: %epoch
Requires: audacious >= %audacious
Provides: audacious-esd
Obsoletes: audacious-esd
BuildRequires: pulseaudio-devel

%description  -n audacious-pulse
Audacious audio output plugin for the pulseaudio
server.

%package  -n audacious-adplug
Summary: AdLib player plugin for audacious
Group: Sound
Requires: audacious >= %audacious
Epoch: %epoch

%description  -n audacious-adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.


%package  -n audacious-fluidsynth
Summary: Fluidsynth MIDI plugin for audacious
Group: Sound
Requires: audacious >= %audacious
Epoch: %epoch

%description  -n audacious-fluidsynth
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device.

This is a fluidsynth backend for the Audacious Media Player to support the
playback of MIDI files with the fluidsynth engine.

%package  -n audacious-sid
Group: Sound
Summary: Audacious input plugin for C64 SID files
BuildRequires: sidplay-devel
BuildRequires: sidplay2-devel
Provides: beep-media-player-sid
Obsoletes: beep-media-player-sid
Epoch: %epoch
Requires: audacious >= %audacious

%description  -n audacious-sid
Audacious-SID is a plugin for the Audacious Media Player which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, it uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%if %build_smb
%package -n audacious-smb
Group: Sound
Summary: SMB/CIFS file system plugin for the Audacious media player
Epoch: %epoch
Requires: audacious >= %audacious
BuildRequires: libsmbclient-devel

%description -n audacious-smb
This plugin allows Audacious to play content from a Samba or Windows network
file system.
%endif

%prep
%setup -q -n %fname
%apply_patches

%build
#gw else cdaudio does not build (2.2-beta2)
#define _disable_ld_no_undefined 1
%configure2_5x --enable-amidiplug \
%if %build_smb
--enable-smb \
%endif
--enable-scrobbler
%ifarch %ix86 x86_64
#--enable-usf
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if !%build_plf
rm -fv %buildroot%_libdir/audacious/Input/aac.so
%endif

%find_lang %name
%clean
rm -rf %{buildroot}


%files -f %name.lang
%defattr(0644,root,root,0755)
%doc AUTHORS
%dir %_libdir/audacious/Input/amidi-plug/
%_libdir/audacious/Input/amidi-plug/ap-alsa.so
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/asx.so
%{_libdir}/audacious/Container/audpl.so
%{_libdir}/audacious/Container/cue.so
%{_libdir}/audacious/Container/m3u.so
%{_libdir}/audacious/Container/pls.so
%{_libdir}/audacious/Container/xspf.so
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/alarm.so
%{_libdir}/audacious/General/albumart.so
%{_libdir}/audacious/General/aosd.so
#%{_libdir}/audacious/General/bluetooth.so
%{_libdir}/audacious/General/cd-menu-items.so
%{_libdir}/audacious/General/gnomeshortcuts.so
%{_libdir}/audacious/General/gtkui.so
%{_libdir}/audacious/General/hotkey.so
%{_libdir}/audacious/General/lirc.so
%{_libdir}/audacious/General/lyricwiki.so
%if %build_mpris2
%{_libdir}/audacious/General/mpris2.so
%endif
%{_libdir}/audacious/General/notify.so
%{_libdir}/audacious/General/scrobbler.so
%{_libdir}/audacious/General/search-tool.so
%{_libdir}/audacious/General/skins.so
%{_libdir}/audacious/General/statusicon.so
%{_libdir}/audacious/General/song_change.so
%dir %{_libdir}/audacious/Input
%if %mdvver >= 201200
%{_libdir}/audacious/Input/ffaudio.so
%endif
%{_libdir}/audacious/Input/amidi-plug.so
%{_libdir}/audacious/Input/cdaudio-ng.so
%{_libdir}/audacious/Input/console.so
%{_libdir}/audacious/Input/flacng.so
%{_libdir}/audacious/Input/madplug.so
%{_libdir}/audacious/Input/metronom.so
%{_libdir}/audacious/Input/modplug.so
%{_libdir}/audacious/Input/psf2.so
%{_libdir}/audacious/Input/sndfile.so
%{_libdir}/audacious/Input/tonegen.so
%ifarch %ix86 x86_64
#%{_libdir}/audacious/Input/usf.so
%endif
%{_libdir}/audacious/Input/vorbis.so
%{_libdir}/audacious/Input/vtx.so
%{_libdir}/audacious/Input/xsf.so
%if %build_plf
%_libdir/audacious/Input/aac.so
%endif
%dir %{_libdir}/audacious/Effect/
%{_libdir}/audacious/Effect/bs2b.so
%{_libdir}/audacious/Effect/compressor.so
%{_libdir}/audacious/Effect/crossfade.so
%{_libdir}/audacious/Effect/crystalizer.so
%{_libdir}/audacious/Effect/echo.so
%{_libdir}/audacious/Effect/ladspa.so
%{_libdir}/audacious/Effect/mixer.so
%{_libdir}/audacious/Effect/resample.so
%{_libdir}/audacious/Effect/speed-pitch.so
%{_libdir}/audacious/Effect/stereo.so
%{_libdir}/audacious/Effect/voice_removal.so
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/alsa.so
%{_libdir}/audacious/Output/filewriter.so
%{_libdir}/audacious/Output/sdlout.so
%dir %{_libdir}/audacious/Transport/
%{_libdir}/audacious/Transport/gio.so
%{_libdir}/audacious/Transport/mms.so
%{_libdir}/audacious/Transport/neon.so
%{_libdir}/audacious/Transport/unix-io.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/blur_scope.so
%{_libdir}/audacious/Visualization/cairo-spectrum.so
%_datadir/audacious

%files  -n audacious-wavpack
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Input/wavpack.so

%if %mdvver >= 201100
%files  -n audacious-jack
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Output/jackout.so
%endif

%files  -n audacious-pulse
%defattr(0644,root,root,0755)
%{_libdir}/audacious/Output/pulse_audio.so

%files  -n audacious-sid
%defattr(-,root,root)
%{_libdir}/audacious/Input/sid.so

%files  -n audacious-adplug
%defattr(-,root,root)
%{_libdir}/audacious/Input/adplug.so

%if 0
%files  -n audacious-timidity
%defattr(-,root,root)
%{_libdir}/audacious/Input/timidity.so
%endif

%files  -n audacious-fluidsynth
%defattr(0644,root,root,0755)
%_libdir/audacious/Input/amidi-plug/ap-fluidsynth.so

%if %build_smb
%files -n audacious-smb
%defattr(-,root,root)
%_libdir/audacious/Transport/smb.so
%endif


%changelog
* Mon Sep 24 2012 Götz Waschk <waschk@mandriva.org> 5:3.3.2-1mdv2012.0
+ Revision: 817470
- update to new version 3.3.2

* Mon Aug 27 2012 Götz Waschk <waschk@mandriva.org> 5:3.3.1-1
+ Revision: 815818
- update to new version 3.3.1

* Thu Aug 02 2012 Götz Waschk <waschk@mandriva.org> 5:3.3-1
+ Revision: 811601
- add speed-pitch plugin
- remove mtp_up, sndstretch and null plugins
- new version
- drop patch 1
- rediff patch 2
- remove gtk+ 2.x support
- readd lirc and gio plugins

* Fri Jul 06 2012 Alexander Khrukin <akhrukin@mandriva.org> 5:3.2.4-1
+ Revision: 808370
- version update 3.2.4

* Fri Jun 08 2012 Bernhard Rosenkraenzer <bero@bero.eu> 5:3.2.3-2
+ Revision: 803419
- Build for ffmpeg 0.11

* Wed May 30 2012 Götz Waschk <waschk@mandriva.org> 5:3.2.3-1
+ Revision: 801233
- update to new version 3.2.3

* Mon Apr 02 2012 Götz Waschk <waschk@mandriva.org> 5:3.2.2-1
+ Revision: 788694
- update patch
- update patch
- update build deps
- update to new version 3.2.2

* Tue Feb 28 2012 Götz Waschk <waschk@mandriva.org> 5:3.2.1-1
+ Revision: 781227
- new version
- add conditional build of mpris2 plugin

* Mon Jan 23 2012 Götz Waschk <waschk@mandriva.org> 5:3.2-1
+ Revision: 766770
- new version

* Wed Jan 11 2012 Götz Waschk <waschk@mandriva.org> 5:3.2-0.beta2.2
+ Revision: 759703
- reenable ffaudio

* Tue Jan 10 2012 Götz Waschk <waschk@mandriva.org> 5:3.2-0.beta2.1
+ Revision: 759535
- new prerelease
- disable ffmpeg support, our version is too old

* Mon Jan 02 2012 Götz Waschk <waschk@mandriva.org> 5:3.2-0.beta1.1
+ Revision: 748705
- disable broken smb plugin
- update build deps
- new prerelease
- new source URL
- update linking patch
- update file list

* Tue Dec 06 2011 Götz Waschk <waschk@mandriva.org> 5:3.1.1-1
+ Revision: 738145
- update build deps
- new version

* Wed Nov 09 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-1
+ Revision: 729337
- new version
- drop patch 0

* Wed Nov 02 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-0.beta3.4
+ Revision: 712601
- build with gtk+3

* Wed Nov 02 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-0.beta3.3
+ Revision: 712181
- add patch from git to fix lockup with pulseaudio

* Thu Oct 27 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-0.beta3.2
+ Revision: 707541
- rebuild for new libcdio

* Wed Oct 26 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-0.beta3.1
+ Revision: 707295
- new prerelease
- bump audacious dep
- remove old configure option

* Mon Oct 17 2011 Götz Waschk <waschk@mandriva.org> 5:3.1-0.beta2.1
+ Revision: 704999
- new prerelease
- bump audacious dep
- drop patch 0
- rediff patch 1
- reenable smb and alarm plugins
- remove mixdown, oss, moodbar and rocklight plugins
- add ladspa and mixer plugins

* Tue Sep 20 2011 Götz Waschk <waschk@mandriva.org> 5:3.0.3-1
+ Revision: 700538
- new version
- update patch 1

* Thu Aug 25 2011 Götz Waschk <waschk@mandriva.org> 5:3.0.2-1
+ Revision: 696551
- update to new version 3.0.2

* Sat Aug 13 2011 Götz Waschk <waschk@mandriva.org> 5:3.0.1-1
+ Revision: 694420
- update to new version 3.0.1

* Wed Jul 20 2011 Götz Waschk <waschk@mandriva.org> 5:3.0-2
+ Revision: 690735
- add smb plugin

* Tue Jul 19 2011 Götz Waschk <waschk@mandriva.org> 5:3.0-1
+ Revision: 690672
- new version
- update build deps
- drop projectm plugin
- update file list
- add patch from Fedora to enable gnome keys by default
- rediff patch 1

* Mon Jul 18 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.4-1
+ Revision: 690250
- update to new version 2.5.4

* Thu Jun 30 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.3-1
+ Revision: 688352
- update to new version 2.5.3

* Tue Jun 21 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.2-1
+ Revision: 686480
- new version
- bz2 tarball

* Sat May 21 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.1-1
+ Revision: 676723
- update to new version 2.5.1

* Thu May 05 2011 Götz Waschk <waschk@mandriva.org> 5:2.5.0-1
+ Revision: 669232
- new version
- bump audacious dep
- rediff the patch
- add new plugins

* Thu Apr 14 2011 Funda Wang <fwang@mandriva.org> 5:2.4.4-2
+ Revision: 652903
- rebuild for libnotify 0.7

* Fri Feb 25 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.4-1
+ Revision: 639783
- new version
- drop patch 2

* Mon Feb 21 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-3
+ Revision: 639100
- remove redundant extra release

* Mon Feb 21 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-2
+ Revision: 639084
- rebuild

  + Anssi Hannula <anssi@mandriva.org>
    - plf: append "plf" to Release on cooker to make plf build have higher EVR
      again with the rpm5-style mkrel now in use

* Thu Jan 13 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-1
+ Revision: 631020
- new version
- bump audacious dep

* Wed Dec 08 2010 Götz Waschk <waschk@mandriva.org> 5:2.4.2-1mdv2011.0
+ Revision: 616045
- new version
- fix source URL
- bump audacious dep
- update subpackage deps

* Thu Aug 26 2010 Götz Waschk <waschk@mandriva.org> 5:2.4.0-1mdv2011.0
+ Revision: 573426
- new version
- update patch 2
- bump audacious dep

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.rc2.1mdv2011.0
+ Revision: 570285
- new release candidate

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.rc1.1mdv2011.0
+ Revision: 569004
- new release candidate
- update patch 1
- drop patch 3

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.beta2.1mdv2011.0
+ Revision: 566307
- new beta version
- fix makefile

* Sat Jul 24 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.beta1.1mdv2011.0
+ Revision: 558229
- new beta version
- update patch 1
- bump audacious dep
- remove esd plugin
- readd scrobbler plugin
- add lyricwiki, notify
- remove vfstrace, usf, icecast plugins

* Thu Apr 08 2010 Götz Waschk <waschk@mandriva.org> 5:2.3-1mdv2010.1
+ Revision: 532885
- new version
- bump build deps
- rediff patches 0,2
- drop patch 1
- add patch to fix usf plugin build
- remove bluetooth, scrobbler, lastfm plugins
- add usf, cd-menu-items, resample plugins

* Thu Feb 18 2010 Götz Waschk <waschk@mandriva.org> 5:2.2-2mdv2010.1
+ Revision: 507447
- fix build of the jack plugin

* Wed Nov 25 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-1mdv2010.1
+ Revision: 469946
- new version
- obsolete musepack plugin

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta2.2mdv2010.1
+ Revision: 464028
- remove wma and readd aac plugin

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta2.1mdv2010.1
+ Revision: 464025
- new prerelease
- rediff patches
- readd pulseaudio plugin
- add cue plugin
- update build deps
- disable no-undefined
- remove aac and tta plugins

* Mon Nov 09 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta1.1mdv2010.1
+ Revision: 463438
- new version
- rediff patches 0,2
- drop patch 1
- update build deps
- drop musepack and pulseaudio support
- update file list

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5:2.1-3mdv2010.0
+ Revision: 455768
- rebuild for new curl SSL backend

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 5:2.1-2mdv2010.0
+ Revision: 398350
- add bs2b plugin

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 5:2.1-1mdv2010.0
+ Revision: 395626
- new version
- bump deps
- update patches 0,2
- fix build
- update file list

* Thu May 14 2009 Götz Waschk <waschk@mandriva.org> 5:2.0.1-1mdv2010.0
+ Revision: 375639
- new version
- obsolete audacious-crossfade

* Wed May 13 2009 Götz Waschk <waschk@mandriva.org> 5:2.0.0-1mdv2010.0
+ Revision: 375248
- new version
- update deps
- rediff patch 0
- drop patch 1
- fix format strings
- update file list

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-5mdv2009.1
+ Revision: 297788
- rebuild

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-4mdv2009.0
+ Revision: 239391
- rebuild

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 5:1.5.1-3mdv2009.0
+ Revision: 238281
- add patch to build against libmtp 0.3.0

  + Götz Waschk <waschk@mandriva.org>
    - update the patch

* Thu May 29 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-2mdv2009.0
+ Revision: 212906
- patch to fix linking of some plugins
- reenable --no-undefined

* Sun May 25 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-1mdv2009.0
+ Revision: 211199
- fix buildrequires for d**n KDE
- new version
- bump deps
- disable --no-undefined
- update file list

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.0-1mdv2009.0
+ Revision: 193656
- fix doc file list
- new version
- drop patch
- update build deps
- update file list

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.5-2mdv2008.1
+ Revision: 166263
- support new gnome multimedia keys api

* Fri Feb 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.5-1mdv2008.1
+ Revision: 161114
- new version
- obsolete timidity plugin
- disable broken timidity plugin

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.4-2mdv2008.1
+ Revision: 140181
- rebuild for new libmowgli

* Tue Jan 01 2008 Funda Wang <fwang@mandriva.org> 5:1.4.4-1mdv2008.1
+ Revision: 139981
- New version 1.4.4

* Mon Dec 31 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.3.2-1mdv2008.1
+ Revision: 139793
- new version

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.3-1mdv2008.1
+ Revision: 139622
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.2-1mdv2008.1
+ Revision: 115820
- new version

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.1-1mdv2008.1
+ Revision: 110219
- new version
- bump deps

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.rc1.1mdv2008.1
+ Revision: 105176
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta4.1mdv2008.1
+ Revision: 102941
- new version

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 5:1.4.0-0.beta3.2mdv2008.1
+ Revision: 102624
- Rebuild for new libmtp

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta3.1mdv2008.1
+ Revision: 100639
- new libprojectM
- new version

* Wed Oct 17 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.2mdv2008.1
+ Revision: 99548
- reenable arts plugin

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.1mdv2008.1
+ Revision: 98536
- new version
- update deps
- update file list
- drop patch

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 4:1.4.0-0.dr4.1mdv2008.1
+ Revision: 96681
- disable arts, it fails on x86_64
- new version
- update buildrequires
- update file list

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.5-2mdv2008.0
+ Revision: 40836
- disable SSE2

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.5-1mdv2008.0
+ Revision: 37290
- new version

* Mon May 14 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.4-2mdv2008.0
+ Revision: 26702
- fix buildrequires

* Sun May 06 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.4-1mdv2008.0
+ Revision: 23735
- new version
- update file list

* Fri Apr 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4:1.3.3-2mdv2008.0
+ Revision: 15605
- rebuild to fix issue with missing aosd symbol

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.3-1mdv2008.0
+ Revision: 13643
- new version
- add sndstretch plugin


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2007.1
+ Revision: 141624
- new version

* Sat Mar 03 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-2mdv2007.1
+ Revision: 131806
- support building with mp3 encoding plugin (disabled by default)

* Sat Mar 03 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-1mdv2007.1
+ Revision: 131804
- new version
- add vtx plugin
- drop merged patches

* Fri Mar 02 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.3mdv2007.1
+ Revision: 130939
- fix crash with invalid Ogg tags
- really revert all changes from r126744
- fix bad checkin
- svn snapshot 1587
- drop merged patch 0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.2mdv2007.1
+ Revision: 126716
- fix crash in scrobbler plugin wih an empty playlist
- fix buildrequires, flac is now bundled
- fix deps

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.1mdv2007.1
+ Revision: 125918
- new version

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 4:1.2.5-4mdv2007.1
+ Revision: 124948
- rebuild for new libmpcdec

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 4:1.2.5-3mdv2007.1
+ Revision: 121606
- back to stable
- build with flac 1.1.4

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.3mdv2007.1
+ Revision: 119898
- fix crash on exit in aosd

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.2mdv2007.1
+ Revision: 117281
- fix crash in vorbis plugin (bug #28603)

* Tue Feb 06 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.1mdv2007.1
+ Revision: 116646
- new version
- bump deps
- add aosd plugin

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha3.2mdv2007.1
+ Revision: 114045
- add a projectM plugin

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha3.1mdv2007.1
+ Revision: 113716
- new version
- bump deps
- update build requires
- add new plugins

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha2.1mdv2007.1
+ Revision: 105463
- new version
- update file list
- bump deps

* Sat Dec 30 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-3mdv2007.1
+ Revision: 102774
- rebuild for new wavpack
- rebuild

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-2mdv2007.1
+ Revision: 95047
- rebuild
- merge extra-plugins package in main one

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.5-1mdv2007.1
+ Revision: 86929
- new version
- add wavpack and other new plugins
- remove notify
- rebuild for new libaudacious

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.2-1mdv2007.1
+ Revision: 73016
- new version
- fix file list
- fix description

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.1-1mdv2007.1
+ Revision: 64487
- new version
- add new files
- unpack patch
- fix buildrequires
- Import audacious-plugins

* Mon Oct 09 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.1
- initial package

* Sat Aug 26 2006 GÃ¶tz Waschk <waschk@mandriva.org> 3:1.1.2-1mdv2007.0
- New release 1.1.2

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- drop rpaths
- drop patch 4
- fix source URL
- New release 1.1.1

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-3mdv2007.0
- move fluidsynth backend to subpackage

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-2mdv2007.0
- move amidi to the right directory

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdv2007.0
- add new files
- drop old provides
- new major
- new version

* Mon Jul 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-0.dr2.4mdv2007.0
- fix menu entry

* Tue Jul 04 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.3mdv2007.0
- xdg menu

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.2mdv2007.0
- fix patch 2

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.1mdv2007.0
- update patch 2
- new version

* Wed May 24 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.2mdk
- fix buildrequires

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.1mdk
- fix buildrequires
- new version

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- update file list
- drop patch 0
- New release 1.0.0

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- patch to fix build
- New release 0.2.4

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- add arts and voice removal plugins
- rediff patches 2,3
- readd disk writer
- New release 0.2.3

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- don't obsolete the crossfade plugin anymore

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- obsolete scrobbler plugin
- drop obsolete plugins
- rediff patch 2
- New release 0.2.2

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- add epochs
- bump deps
- 0.2 final

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.2mdk
- enable new ALSA MIDI plugin

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.1mdk
- update patch 2
- new snapshot

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.518.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.514.1mdk
- new snapshot

* Wed Jan 18 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.492.1mdk
- fix buildrequires
- new snapshot

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.485.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.472.1mdk
- upate file list
- add new plugins
- drop source 1
- new snapshot

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 0.1.2-5mdk
- add icon fresh from svn

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-4mdk
- fix buildrequires

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdk
- drop patch 4

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- obsolete modplug plugin as well

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- provide and obsolete the crossfade and sid plugins
- New release 0.1.2

* Thu Dec 08 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- add flac to the supported mime types
- fix buildrequires

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- obsolete bmp

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- buildrequires

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix build on x86_64

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- initial package

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 0.9.7.1-2mdk
- add crossfade fix

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-1mdk
- new release (at least) (the last one before switching to bmpx)

* Mon Aug 29 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050828cvs1mdk
- New CVS snapshot
- Temporarily drop the ipv6 patch (p3)

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-0.20050815cvs3mdk
- rebuild with new gtk+
- add buildrequires

* Wed Aug 17 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs2mdk
- enhance and rename patch3, now with mp3 support ( with pterjan fix inside )

* Tue Aug 16 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs1mdk
- new cvs snapshot ( Eskild Hustvedt )
- ipv6 for vorbis ( patch 3 )

* Thu Aug 11 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050810cvs1mdk
- New CVS snapshot

* Sat Jul 09 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050708cvs1mdk
- New CVS snapshot

* Mon Jun 20 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050619cvs-1mdk
- New CVS snapshot
	- Should fix the playlist refresh bug

* Tue Jun 14 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050613cvs-1mdk
- New CVS snapshot
	- The old skin (non-free skin) has been removed (if you somehow liked that thing
	  you can download it from bmp's website)

* Sat May 28 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050527cvs-1mdk
- Drop SOURCE99 (README.MDK - now generated in spec)
- New CVS snapshot
- Spec cleanups
- Drop COPYING from %%doc, it is in the common-licenses package
- Remove gnome-vfs from requires

* Sun Apr 17 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050416cvs-1mdk
- New CVS snapshot
- Updated patch1
- Drop patch3 (merged upstream)

* Mon Mar 07 2005 Eskild Hustvedt <eskild@mandrake.org> 0.9.7-6mdk
- Disable gnome-vfs support (broken)

* Mon Jan 24 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix devel deps

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-4mdk
- patch 3: alsa fixes

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- drop broken patch 3

* Tue Dec 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- rediff patch 2
- new version

* Fri Nov 19 2004 Danny Tholen <obiwan@mailmij.org> 0.9.7-0.rc2.2mdk
- patch 3 fixes broken endian check

* Wed Aug 25 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc2.1mdk
- new version

* Tue Aug 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc1.1mdk
- increase epoch
- rediff patch 2
- new version

* Sat Jul 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040708.1mdk
- fix file list
- new snapshot

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040621.1mdk
- new cvs snapshot 20040621

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040604.1mdk
- updated to cvs snapshot 20040604
- fixed source url
- autoconf stuff
- rebuild with new gcc

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040528.1mdk
- updated to cvs snapshot 20040528

* Fri May 21 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040520.1mdk
- updated to cvs snapshot 20040520
- removed patch 3, integrated upstream
- xmms-skin patch: use xmms dirs last, so beep skins override xmms skins

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.4mdk
- Patch3: add General plugins preferences tab (will be merged in CVS soon)

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.3mdk
- scan home dir as well for xmms skins (modified patch1)

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.2mdk
- cp rcfile.h in include dir since it isn't automatically installed
- own include and data dirs
- add Epoch in Requires/Provides

* Thu May 06 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040504.1mdk
- new cvs snapshot

* Wed Apr 28 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040427.2mdk
- enable gnome-vfs support

* Wed Apr 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-0.20040427.1mdk
- new cvs snapshot
- rediff patch 2

* Sat Apr 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040410.2mdk
- fix buildrequires

* Mon Apr 12 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040410.1mdk
- new cvs snapshot
- removed old obsoletes (package beepmp was only in cooker)
- added AB patch from xmms
- added missing docs
- separate package for esound plugin (no separate packages for OSS and ALSA
  because OSS does not need any special stuff and ALSA is standard now)

